summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkrasimir <krasimir@chalmers.se>2010-09-29 13:32:23 +0000
committerkrasimir <krasimir@chalmers.se>2010-09-29 13:32:23 +0000
commit8d37ed015ea8e033135dbdfe2c80685f819319d2 (patch)
treecbac789ef77ed61904ea976cfd1e1db8b989ca3d
parent3b11f81c6bdb536ac5cc7c9c729d2ff22836e894 (diff)
added compilation scripts for the editor
-rw-r--r--src/ui/gwt/Editor-compile17
-rw-r--r--src/ui/gwt/Editor-compile.bat7
2 files changed, 24 insertions, 0 deletions
diff --git a/src/ui/gwt/Editor-compile b/src/ui/gwt/Editor-compile
new file mode 100644
index 000000000..4106298ea
--- /dev/null
+++ b/src/ui/gwt/Editor-compile
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+APPDIR=`dirname $0`;
+
+if [ -z "$GWT_CLASSPATH" ]; then
+ echo 'ERROR: $GWT_CLASSPATH is not set'
+ echo 'Set $GWT_CLASSPATH to point to the GWT JAR files. For example:'
+ echo 'export GWT_DIR="/Users/bringert/src/gwt-2.0.4"'
+ echo 'export GWT_CLASSPATH="$GWT_DIR/gwt-user.jar:$GWT_DIR/gwt-dev.jar"'
+ exit 1
+fi
+
+if [ `uname` = "Darwin" ]; then
+ GWT_JAVA_OPTS=-XstartOnFirstThread
+fi
+
+java $GWT_JAVA_OPTS -Xmx256M -cp "$APPDIR/src:$APPDIR/bin:$GWT_CLASSPATH" com.google.gwt.dev.Compiler -war "$APPDIR/www/editor" "$@" org.grammaticalframework.ui.gwt.EditorApp;
diff --git a/src/ui/gwt/Editor-compile.bat b/src/ui/gwt/Editor-compile.bat
new file mode 100644
index 000000000..2c9b77f4e
--- /dev/null
+++ b/src/ui/gwt/Editor-compile.bat
@@ -0,0 +1,7 @@
+@echo off
+
+set APPDIR=.
+set GWT_DIR=C:\Program Files\eclipse\plugins\com.google.gwt.eclipse.sdkbundle.2.0.4_2.0.4.v201006301254\gwt-2.0.4
+set GWT_CLASSPATH=%GWT_DIR%\gwt-user.jar;%GWT_DIR%\gwt-dev.jar
+
+java %GWT_JAVA_OPTS% -Xmx256M -cp "%APPDIR%\src;%GWT_CLASSPATH%" com.google.gwt.dev.Compiler -war "%APPDIR%\www\editor" org.grammaticalframework.ui.gwt.EditorApp -style PRETTY